SENDO EMAIL API

Email Sending API to send notifications to your customers. The request supports one or multiple destinations and allows sharing an html template in each request or referencing a predefined template in the Sendo user interface.


Send Email

POSThttps://api.sendo.cloud/api/email/send

This endpoint is used to send templated email to a specific destination.

Required attributes


FieldTypeDefault ValueOptionalDescription
destinationstringnoneNoThe email address(es) of the recipient(s). Multiple recipients can be separated by semicolons (;).
htmlstringnoneNoContains the body of the email in HTML format. It allows including HTML tags to format the content of the email.
subjectstringnoneNoThe subject of the email that the recipient will see.
senderstringnoneNoThe sender's email address previously approved and configured correctly.
categorystringnoneNoCorresponds to the type of sending; the possible values can be marketing, otp, or transaction.
ccstringnoneYesCC email address(es). Multiple addresses can be separated by semicolons (;).

Request body.


curl --location 'https://api.sendo.cloud/api/email/send' 
--header 'apikey: fQbUHC3LPDQxUsdfsv6545gfdgKBRkImwePfwz' 
--header 'Content-Type: application/json' 
--data-raw  '{
"destination": "john.dou@yourmail.com;jane.dou@yourmail.com",
"html": "<h1>Hi, this is a simple test</h1>",
"subject": "Test",
"sender": "example@yourmail.com",
"category": "marketing",
"cc": "marketing@yourmail.com;notifications@yourmail.com"
}'
Response .
CodeDescription
200Successful
{
  "status": {
    "code": 200,
    "message": "Send successful",
    "messageId": "68c9802d-1910-4dba-9048-4a6c98787a0e"
  }
}

Server responses.

Send email by template

POSThttps://api.sendo.cloud/api/email/send-by-template

This endpoint is used to send email by adding the ID of the Sendo platform templates.

Required attributes


FieldTypeDefault ValueOptionalDescription
destinationstringnoneNoThe email address(es) of the recipient(s). Multiple recipients can be separated by semicolons (;).
templateReferencenumbernoneNoTemplate ID extracted from the Email template of the Sendo platform.
subjectstringnoneNoThe subject of the email that the recipient will see.
senderstringnoneNoThe sender's email address previously approved and configured correctly.
variablesobjectnoneNoAn object that contains variables to be inserted into the body of the email. In this case, it includes variables as a name with its respective value that will be used to replace the placeholder tags in the HTML.
categorystringnoneNoCorresponds to the type of sending; the possible values can be marketing, otp, or transaction.
ccstringnoneYesCC email address(es). Multiple addresses can be separated by semicolons (;).

Request body.


curl --location 'https://api.sendo.cloud/api/email/send-by-template' 
--header 'apikey: fQbUHC3LPDQxUsdfsv6545gfdgKBRkImwePfwz' 
--header 'Content-Type: application/json' 
--data-raw   '{
"destination": "john.dou@yourmail.com;jane.dou@yourmail.com",
"templateReference": 0,
"subject": "TEST EMAIL",
"sender": "example@yourmail.com",
"variables": {"name":"john wek","date":"8-08-2088","phone":"83347715"},
"category": "transaction",
"cc": "marketing@yourmail.com;notifications@yourmail.com"
}'
Response .
CodeDescription
200Successful
{
  "status": {
    "code": 200,
    "message": "Send successful",
    "messageId": "68c9802d-1910-4dba-9048-4a6c98787a0e"
  }
}

Server responses.